#!/usr/bin/env node
"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const build_1 = require("./build");
const console_1 = require("./console");
const watch_1 = require("./watch");
const yargs = __importStar(require("yargs"));
const config_1 = require("./config");
process.on('SIGINT', function () {
    (0, console_1.message)('Exiting...', 'redBright');
    process.exit();
});
const args = yargs
    .usage(`Mdtx 🤯 - Generate Typescript Files from Markdown. Run to watch directory with .md files and generate .ts files
`)
    .option('init', {
    alias: 'i',
    describe: 'Init Mdtx config',
    boolean: true,
})
    .option('build', {
    alias: 'b',
    describe: 'Build project',
    boolean: true,
})
    .demandCommand(0).argv;
if (args === null || args === void 0 ? void 0 : args.build) {
    (0, build_1.build)();
}
else if (args === null || args === void 0 ? void 0 : args.init) {
    (0, config_1.initConfig)();
}
else {
    (0, watch_1.watch)();
}
//# sourceMappingURL=CLI.js.map