"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.build = exports.preBuild = void 0;
const config_1 = require("../config");
const transform_1 = require("../transform");
const preBuild = (config) => __awaiter(void 0, void 0, void 0, function* () {
    (0, transform_1.cleanBuild)(config);
});
exports.preBuild = preBuild;
const build = () => __awaiter(void 0, void 0, void 0, function* () {
    const config = (0, config_1.readConfig)('./mdtx.json');
    yield (0, exports.preBuild)(config);
    yield (0, transform_1.transformFiles)({ config });
    yield (0, transform_1.copyStaticFiles)(config);
});
exports.build = build;
//# sourceMappingURL=index.js.map