"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.watch = void 0;
const build_1 = require("../build");
const config_1 = require("../config");
const fsAddons_1 = require("../fsAddons");
const paths_1 = require("../paths");
const transform_1 = require("../transform");
const chokidar_1 = __importDefault(require("chokidar"));
const fs_1 = __importDefault(require("fs"));
const watch = () => __awaiter(void 0, void 0, void 0, function* () {
    let block = true;
    const config = (0, config_1.readConfig)('./mdtx.json');
    yield (0, build_1.preBuild)(config);
    yield (0, transform_1.copyStaticFiles)(config);
    yield (0, transform_1.transformFiles)({
        config,
    });
    chokidar_1.default
        .watch((0, paths_1.pathIn)(config)(`**/*.{jpeg,gif,mp4,png,jpg,md}`), {
        interval: 0,
        ignoreInitial: true,
    })
        .on('all', (event, p) => __awaiter(void 0, void 0, void 0, function* () {
        if (event !== 'add' && event !== 'change') {
            return;
        }
        if ((0, fsAddons_1.isMd)(p)) {
            if (block) {
                return;
            }
            if (fs_1.default.existsSync(p)) {
                block = true;
                yield (0, transform_1.transformFiles)({
                    config,
                    fileChanged: p,
                });
                block = false;
            }
            return;
        }
        if ((0, fsAddons_1.isStaticFile)(p)) {
            yield (0, transform_1.copyStaticFiles)(config);
        }
    }));
    block = false;
});
exports.watch = watch;
//# sourceMappingURL=index.js.map